Bug 1190551 - ipv6 enabled on the peer, but dns resolution fails with ipv6 and gluster does not fall back to ipv4
Summary: ipv6 enabled on the peer, but dns resolution fails with ipv6 and gluster does...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: GlusterFS
Classification: Community
Component: glusterd
Version: 3.6.1
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
: 1306440 (view as bug list)
Depends On: 1191072
Blocks: Generic_Hyper_Converged_Host 1309178
TreeView+ depends on / blocked
 
Reported: 2015-02-09 04:28 UTC by Paul Cuzner
Modified: 2016-08-01 04:43 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1191072 1309178 (view as bug list)
Environment:
Last Closed: 2016-08-01 04:42:18 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)
ovirt datastore glusterfs log showing the ipv6 lookup issue (7.63 KB, text/plain)
2015-02-09 04:28 UTC, Paul Cuzner
no flags Details

Description Paul Cuzner 2015-02-09 04:28:39 UTC
Created attachment 989522 [details]
ovirt datastore glusterfs log showing the ipv6 lookup issue

Description of problem:
Using gluster with ovirt as a hyperconverged platform based on rhel7. by default rhel7 has ipv6 enabled. during configuration I see address resolution failures preventing ovirt hosted-engine deployment from working.


Version-Release number of selected component (if applicable):

glusterfs 3.6.2
ovirt 3.5
ovirt-hosted-engine-setup (from Sandro Bonazzola - 1.2.2)

How reproducible:
When ipv6 is enabled this happens every time hosted-engine --deploy is attempted

Steps to Reproduce:
1. have dns resolution working for ipv4 only
2. configure gluster (peers and volume)
3. attempt to run hosted-engine --deploy (with ipv6 enabled on the host)


Actual results:
[ INFO  ] Waiting for VDSM hardware info
[ INFO  ] Waiting for VDSM hardware info
[ INFO  ] Configuring the management bridge
[ ERROR ] Failed to execute stage 'Misc configuration': Connection to storage server failed
[ INFO  ] Stage: Clean up
[ INFO  ] Generating answer file '/var/lib/ovirt-hosted-engine-setup/answers/answers-20150203193700.conf'
[ INFO  ] Stage: Pre-termination
[ INFO  ] Stage: Termination

snip from glusterd log file
[2015-02-04 00:36:59.996195] E [common-utils.c:227:gf_resolve_ip6] 0-resolver: getaddrinfo failed (Name or service not known)
[2015-02-04 00:36:59.996292] E [name.c:242:af_inet_client_get_remote_sockaddr] 0-glusterfs: DNS resolution failed on host gprfc085-glfs.rhev-rhss.lab


Expected results:
If ipv6 is enabled, but DNS does not return an ipv6 entry, retry with ipv6 - only fail the request if lookups to both ipv6 and ipv4 fail.

Additional info:
Workaround was to disable ipv6 on the host - subsequent lookups are ipv4 only and name resoltion works as expected.

log for the storage domain that was attempted to be located is atteched - timestamp - 2015-02-04 00:36:39.959656

Comment 1 Oonkwee Lim_ 2016-02-16 20:37:09 UTC
*** Bug 1306440 has been marked as a duplicate of this bug. ***

Comment 3 Kaushal 2016-02-18 06:38:42 UTC
IPv6 support for Gluster is not properly functional. We have a change on review that should help with this, https://review.gluster.org/11988 but which hasn't been merged yet because of regression failures. We'll get on top of this.

Comment 4 Atin Mukherjee 2016-08-01 04:42:18 UTC
This is not a security bug, not going to fix this in 3.6.x because of
http://www.gluster.org/pipermail/gluster-users/2016-July/027682.html

Comment 5 Atin Mukherjee 2016-08-01 04:43:44 UTC
If the issue persists in the latest releases, please feel free to clone them


Note You need to log in before you can comment on or make changes to this bug.